<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.asso.ladoxa.scraper</groupId>
        <artifactId>scraper</artifactId>
        <version>1.0-SNAPSHOT</version>
    </parent>

    <artifactId>commons-model</artifactId>
    <version>1.0-SNAPSHOT</version>

    <dependencies>
        <!-- Datagouv models !-->
        <dependency>
            <groupId>io.swagger</groupId>
            <artifactId>swagger-annotations</artifactId>
            <version>1.6.1</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>com.google.cloud.tools</groupId>
                <artifactId>jib-maven-plugin</artifactId>
                <configuration>
                    <!-- we don't want jib to execute on this module -->
                    <skip>true</skip>
                </configuration>
            </plugin>
            <!-- we want this library to be built reproducibly -->
            <plugin>
                <groupId>io.github.zlika</groupId>
                <artifactId>reproducible-build-maven-plugin</artifactId>
                <version>0.11</version>
                <executions>
                    <execution>
                        <id>run-when-packaged</id>
                        <goals>
                            <goal>strip-jar</goal>
                        </goals>
                        <phase>package</phase>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>